import 'package:comunic/ui/routes/user_page_route.dart';
import 'package:flutter/material.dart';
import 'package:meta/meta.dart';

/// Navigation utilities
///
/// @author Pierre HUBERT

/// Open the page of a user
void openUserPage({@required int userID, @required BuildContext context}) {
  assert(userID != null);
  assert(context != null);

  Navigator.of(context).push(
    MaterialPageRoute(
      builder: (c) => UserPageRoute(
            userID: userID,
          ),
    ),
  );
}
